# v1_component_condition_t

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**error** | **char \*** | Condition error code for a component. For example, a health check error code. | [optional] 
**message** | **char \*** | Message about the condition for a component. For example, information about a health check. | [optional] 
**status** | **char \*** | Status of the condition for a component. Valid values for \&quot;Healthy\&quot;: \&quot;True\&quot;, \&quot;False\&quot;, or \&quot;Unknown\&quot;. | 
**type** | **char \*** | Type of condition for a component. Valid value: \&quot;Healthy\&quot; | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


